
package net.mcreator.topazmod.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.AxeItem;

import net.mcreator.topazmod.init.TopazModModItems;

public class TopazAxeItem extends AxeItem {
	public TopazAxeItem() {
		super(new Tier() {
			public int getUses() {
				return 105;
			}

			public float getSpeed() {
				return 5f;
			}

			public float getAttackDamageBonus() {
				return 2f;
			}

			public int getLevel() {
				return 3;
			}

			public int getEnchantmentValue() {
				return 9;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(TopazModModItems.TOPAZ_ORE.get()), new ItemStack(TopazModModItems.TOPAZ_AXE.get()));
			}
		}, 1, -2f, new Item.Properties().tab(CreativeModeTab.TAB_TOOLS));
	}
}
