
package net.mcreator.topazmod.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.SwordItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;

import net.mcreator.topazmod.init.TopazModModItems;

public class TopazSpearItem extends SwordItem {
	public TopazSpearItem() {
		super(new Tier() {
			public int getUses() {
				return 250;
			}

			public float getSpeed() {
				return 7.5f;
			}

			public float getAttackDamageBonus() {
				return 3f;
			}

			public int getLevel() {
				return 3;
			}

			public int getEnchantmentValue() {
				return 9;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(TopazModModItems.TOPAZ_ORE.get()), new ItemStack(TopazModModItems.TOPAZ_SPEAR.get()));
			}
		}, 3, 0f, new Item.Properties().tab(CreativeModeTab.TAB_COMBAT));
	}
}
